package com.persagy.bdtp.adm.entity.db;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import com.fasterxml.jackson.databind.node.ObjectNode;
import lombok.Data;
@Data
@TableName(value = "adm_problem", autoResultMap = true)
public class AdmProblem extends BaseAdmDataEntity{
    private String id;

    private String projectId;

    private String buildingId;

    private String floorId;

    private String fileId;

    private String checkType;

    private String objTypeCode;

    private String objTypeName;

    private String objId;

    private String objName;

    private String typeCode;

    private String typeName;

    private Byte status;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private ObjectNode info;

}